> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a form from a template

> Create a new form that is a copy of a template. The form is not published and its title is "Clone of" followed by the template title.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/templates.yaml POST /templates/{template_id}/forms
openapi: 3.0.3
info:
  title: NeetoForm Templates APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: Templates
    description: APIs to browse form templates and create forms from them.
paths:
  /templates/{template_id}/forms:
    post:
      tags:
        - Templates
      summary: Create a form from a template
      description: >-
        Create a new form that is a copy of a template. The form is not
        published and its title is "Clone of" followed by the template title.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - in: path
          name: template_id
          description: >-
            Id or slug of the template. You can get it by using the [List
            templates](/api/templates/list) API.
          required: true
          schema:
            type: string
            example: customer-feedback
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                created_by_email:
                  type: string
                  format: email
                  description: >-
                    Email of an active team member. The form is created for this
                    person. It is required when you use an API key.
                  example: oliver@example.com
              required:
                - created_by_email
            example:
              created_by_email: oliver@example.com
      responses:
        '201':
          description: Created - Form created
          content:
            application/json:
              schema:
                type: object
                properties:
                  form:
                    $ref: '#/components/schemas/form'
              example:
                form:
                  id: 7a8b9c0d-1e2f-4a3b-8c4d-5e6f7a8b9c0d
                  title: Clone of Customer feedback
                  is_published: false
                  state: draft
                  created_at: '2026-10-28T10:00:00.000Z'
                  updated_at: '2026-10-28T10:00:00.000Z'
                  attempt_url: https://spinkart.neetoform.com/f2k9x1
                  submissions_count: 0
                  is_archived: false
                  is_disabled: false
                  is_suspended: false
                  created_by: Oliver Smith
        '404':
          description: Not Found - The template does not exist or is not published
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: Form does not exist.
        '422':
          description: >-
            Unprocessable Entity - The team member is not found or the form
            could not be created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: Could not find active user with the specified email
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
  schemas:
    form:
      type: object
      properties:
        id:
          type: string
        title:
          type: string
        is_published:
          type: boolean
        state:
          type: string
        created_at:
          $ref: '#/components/schemas/date_time_field'
        updated_at:
          $ref: '#/components/schemas/date_time_field'
        submissions_count:
          type: integer
        attempt_url:
          type: string
        is_archived:
          type: boolean
        is_disabled:
          type: boolean
        is_suspended:
          type: boolean
        created_by:
          type: string
    error_response:
      type: object
      properties:
        error:
          type: string
    date_time_field:
      type: string
      format: date-time

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.